Bug 283616 - Project Wizard Reports Invalid Patch after Fetching a Project
Summary: Project Wizard Reports Invalid Patch after Fetching a Project
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Developer tools
Component: project (show other bugs)
Version: git master
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: 1.2.3
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-08 18:08 UTC by David E. Narvaez
Modified: 2011-10-11 11:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David E. Narvaez 2011-10-08 18:08:18 UTC
Version:           git master (using KDE 4.7.1) 
OS:                Linux

When you try to fetch a project (e.g. after fetching from Git) you initially start with a warning that the path is invalid. Once you set the path the warning disappears, and you can add a source and fetch the project. After the project is fetched, the warning appears again, which is misleading information.

Reproducible: Always

Steps to Reproduce:
1. Project -> Fetch Project...
2. Select a source (e.g. Git)
3. Notice the warning that the Path is invalid (in the bottom of the UI, in red)
4. Set a valid path for the project
5. Notice that the warning disappears
6. Fetch the project (clicking Get)

Actual Results:  
After the project is done fetching, the warning of invalid path reappears.

Expected Results:  
The warning should not appear, as it is already fetched.
Comment 1 David E. Narvaez 2011-10-11 11:27:20 UTC
Git commit 12e9e323da1fc7d7fd8bdb3bebff37efb87d6f0e by David E. Narváez.
Committed on 11/10/2011 at 13:25.
Pushed by narvaez into branch 'master'.

Many UI Changes in Source Page of Project Wizard

Besides tackling bug 283616 many other changes like disabling the
controls in the source page after the project is fetched, disabling the
next button until the project is fetched and removing the source page
from the wizard if it's not a fetch wizard.
BUG: 283616
FIXED-IN: 4.3
REVIEW: 102808

M  +14   -5    shell/openprojectdialog.cpp
M  +8    -3    shell/projectsourcepage.cpp

http://commits.kde.org/kdevplatform/12e9e323da1fc7d7fd8bdb3bebff37efb87d6f0e